Try ERPNext Buy Support Partners Foundation

ERPnext error FileNotFoundError: [Errno 2] No such file or directory: './xxx.xxx.com/public/files/xxxx.json.gz'

Hello community, please support us with this error and how to solve it.

bench update --patch
Backing up sites…
Patching sites…
Migrating aymnor.arianworks.com
Executing frappe.patches.v11_0.make_all_prepared_report_attachments_private in xxx.xxx.com (_b9b803e840b4e87f)
Traceback (most recent call last):
File “/home/erpnext/frappe_bench/env/lib/python3.6/shutil.py”, line 550, in move
os.rename(src, real_dst)
FileNotFoundError: [Errno 2] No such file or directory: ‘./xxx.xxx.com/public/files/2019-13-8-8:7.json.gz’ -> ‘./xxx.xxx.com/private/files/2019-13-8-8:7.json.gz’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.6/runpy.py”, line 193, in _run_module_as_main
main”, mod_spec)
File “/usr/lib/python3.6/runpy.py”, line 85, in _run_code
exec(code, run_globals)
File “/home/erpnext/frappe_bench/apps/frappe/frappe/utils/bench_helper.py”, line 97, in
main()
File “/home/erpnext/frappe_bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main
click.Group(commands=commands)(prog_name=‘bench’)
File “/home/erpnext/frappe_bench/env/lib/python3.6/site-packages/click/core.py”, line 764, in call
return self.main(*args, **kwargs)
File “/home/erpnext/frappe_bench/env/lib/python3.6/site-packages/click/core.py”, line 717, in main
rv = self.invoke(ctx)
File “/home/erpnext/frappe_bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/erpnext/frappe_bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/erpnext/frappe_bench/env/lib/python3.6/site-packages/click/core.py”, line 956, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/home/erpnext/frappe_bench/env/lib/python3.6/site-packages/click/core.py”, line 555, in invoke
return callback(*args, **kwargs)
File “/home/erpnext/frappe_bench/env/lib/python3.6/site-packages/click/decorators.py”, line 17, in new_func
return f(get_current_context(), *args, **kwargs)
File “/home/erpnext/frappe_bench/apps/frappe/frappe/commands/init.py”, line 25, in _func
ret = f(frappe._dict(ctx.obj), *args, **kwargs)
File “/home/erpnext/frappe_bench/apps/frappe/frappe/commands/site.py”, line 233, in migrate
migrate(context.verbose, rebuild_website=rebuild_website, skip_failing=skip_failing)
File “/home/erpnext/frappe_bench/apps/frappe/frappe/migrate.py”, line 48, in migrate
frappe.modules.patch_handler.run_all(skip_failing)
File “/home/erpnext/frappe_bench/apps/frappe/frappe/modules/patch_handler.py”, line 41, in run_all
run_patch(patch)
File “/home/erpnext/frappe_bench/apps/frappe/frappe/modules/patch_handler.py”, line 30, in run_patch
if not run_single(patchmodule = patch):
File “/home/erpnext/frappe_bench/apps/frappe/frappe/modules/patch_handler.py”, line 71, in run_single
return execute_patch(patchmodule, method, methodargs)
File “/home/erpnext/frappe_bench/apps/frappe/frappe/modules/patch_handler.py”, line 91, in execute_patch
frappe.get_attr(patchmodule.split()[0] + “.execute”)()
File “/home/erpnext/frappe_bench/apps/frappe/frappe/patches/v11_0/make_all_prepared_report_attachments_private.py”, line 10, in execute
file_doc.save()
File “/home/erpnext/frappe_bench/apps/frappe/frappe/model/document.py”, line 272, in save
return self._save(*args, **kwargs)
File “/home/erpnext/frappe_bench/apps/frappe/frappe/model/document.py”, line 308, in _save
self.run_before_save_methods()
File “/home/erpnext/frappe_bench/apps/frappe/frappe/model/document.py”, line 888, in run_before_save_methods
self.run_method(“validate”)
File “/home/erpnext/frappe_bench/apps/frappe/frappe/model/document.py”, line 787, in run_method
out = Document.hook(fn)(self, *args, **kwargs)
File “/home/erpnext/frappe_bench/apps/frappe/frappe/model/document.py”, line 1058, in composer
return composed(self, method, *args, **kwargs)
File “/home/erpnext/frappe_bench/apps/frappe/frappe/model/document.py”, line 1041, in runner
add_to_return_value(self, fn(self, *args, **kwargs))
File “/home/erpnext/frappe_bench/apps/frappe/frappe/model/document.py”, line 781, in
fn = lambda self, *args, **kwargs: getattr(self, method)(*args, **kwargs)
File “/home/erpnext/frappe_bench/apps/frappe/frappe/core/doctype/file/file.py”, line 117, in validate
os.path.join(private_files, self.file_name))
File “/home/erpnext/frappe_bench/env/lib/python3.6/shutil.py”, line 564, in move
copy_function(src, real_dst)
File “/home/erpnext/frappe_bench/env/lib/python3.6/shutil.py”, line 263, in copy2
copyfile(src, dst, follow_symlinks=follow_symlinks)
File “/home/erpnext/frappe_bench/env/lib/python3.6/shutil.py”, line 120, in copyfile
with open(src, ‘rb’) as fsrc:
FileNotFoundError: [Errno 2] No such file or directory: ‘./xxx.xxx.com/public/files/2019-13-8-8:7.json.gz’

waiting for your prompt help I say goodbye